#ifndef _FS_READINGBOOKMARK_C_H_
#define _FS_READINGBOOKMARK_C_H_

#ifdef __cplusplus
extern "C" {
#endif


FSErrorCode FSDK_ReadingBookmark_Release(FS_READINGBOOKMARK_HANDLE readingbookmark_handle);
FSErrorCode FSDK_ReadingBookmark_IsEmpty(FS_READINGBOOKMARK_HANDLE readingbookmark_handle, FS_BOOL* return_value);
FSErrorCode FSDK_ReadingBookmark_GetTitle(FS_READINGBOOKMARK_HANDLE readingbookmark_handle, FS_WSTR* return_value);
FSErrorCode FSDK_ReadingBookmark_SetTitle(FS_READINGBOOKMARK_HANDLE readingbookmark_handle, const wchar_t* title);
FSErrorCode FSDK_ReadingBookmark_GetPageIndex(FS_READINGBOOKMARK_HANDLE readingbookmark_handle, int* return_value);
FSErrorCode FSDK_ReadingBookmark_SetPageIndex(FS_READINGBOOKMARK_HANDLE readingbookmark_handle, int index);
FSErrorCode FSDK_ReadingBookmark_GetDateTime(FS_READINGBOOKMARK_HANDLE readingbookmark_handle, FS_BOOL is_creation_date, FSDateTime* return_value);
FSErrorCode FSDK_ReadingBookmark_SetDateTime(FS_READINGBOOKMARK_HANDLE readingbookmark_handle, const FSDateTime date_time, FS_BOOL is_creation_date);
#ifdef __cplusplus
}
#endif
#endif
